import type { RouteRecordRaw } from 'vue-router'

export default <RouteRecordRaw>{
  path: '/ysgc',
  name: "ysgc",
  // redirect: "/ysgc/index",
  children: [
    // {
    //   path: 'index',
    //   name: "ysgc_list",
    //   component: () => import('~/pages/ysgc/index.vue'),
    // },
    {
      path: 'detail/:id',
      name: "ysgc_detail",
      component: () => import('~/pages/ysgc/detail.vue'),
    },
    {
      path: '',
      name: "ysgc_list",
      component: () => import('~/pages/ysgc_new/index.vue'),
      redirect: "/ysgc/xsyxzy",
      children: [
        {
          path: 'xsyxzy',
          name: "xsyxzy_list",
          component: () => import('~/pages/ysgc_new/xsyxzy.vue'),
        },
        {
          path: 'xsyxzy-detail/:id',
          name: "xsyxzy_detail",
          component: () => import('~/pages/ysgc_new/xsyxzy-detail.vue'),
        },
        {
          path: 'jsyxzp',
          name: "jsyxzp_list",
          component: () => import('~/pages/ysgc_new/jsyxzp.vue'),
        },
      ]
    }
  ]
}
